      SUBROUTINE UGMATE
      include 'geometry.inc'
      include 'material.inc'

C   *  define user material                                            *
C   *                                                                  *
      dimension ubuf(10)
      real a_methane(2), z_methane(2), dens_methane, wt_methane(2)
      real a_polystyr(2), z_polystyr(2), dens_polystyr, 
     + wt_polystyr(2), a_g10(5), z_g10(5), dens_g10, wt_g10(5)
      real a_Hg, z_Hg, dens_Hg, X0_Hg, absl_Hg
      data a_methane / 1.008, 12.011 /
      data z_methane / 1., 6. /
      data wt_methane / 0.8, 0.2/
      data dens_methane / 7.79e-6 /  ! low pressure methane
      data a_polystyr / 1.008, 12.011 /
      data z_polystyr / 1., 6. /
      data wt_polystyr / 0.5, 0.5 /
      data dens_polystyr / 1.03 /
      DATA A_G10 / 28.0855, 12.011, 1.008, 35.453, 15.9994/
      DATA Z_G10 / 14., 6., 1., 17., 8. /
      DATA DENS_G10 / 1.714 /
      DATA WT_G10 / 0.25767, 0.03341, 0.098, 0.08, 0.53092 /
      data a_Hg, z_Hg, dens_Hg, X0_Hg, absl_Hg / 200.59, 80., 13.5458,
     +    0.4737, 14.5/

      call gsmixt(IMETH, 'low_press_methane', a_methane, z_methane,
     +  dens_methane, -2, wt_methane)    ! material 17 
      call gsmixt(ISCIN, 'POLYSTYRENE', a_polystyr, z_polystyr, 
     +  dens_polystyr, -2, wt_polystyr)  ! material 18
      call gsmixt(IG10,  'G10', A_G10, Z_G10, DENS_G10, -5, WT_G10)
      
      call gsmate(IHG, 'Mercury$', a_Hg, z_Hg, dens_Hg, X0_Hg, absl_Hg,
     +   ubuf, 0) 

C Store constants of standard materials
      CALL GMATE

      END
